#ifndef __FINDFILE__
#define __FINDFILE__

#include <dirent.h>
#include <stdlib.h>
#include <sys/stat.h>

#define _A_NORMAL (_S_IFREG|_S_IFLNK)

struct find_t
{
	DIR *dirp;
	struct dirent *direntp;
	char *mask;
	char *path;
	int attr;
	char name[_MAX_FNAME+1];
	long size;
};


int _dos_findfirst( char *path_mask, int attr, struct find_t *fd );
int _dos_findnext( struct find_t *fd );
int _dos_findclose( struct find_t *fd );

#endif // __FINDFILE__
