// FILin fileechoprocessor
// Copyright (c) 1995-99 Ilya Bogdanov
// See licence.txt for details

#include "general.h"
#include "dirfile.h"

void movedesc (char* areadir)
{
  FILE* fbbs;
  char filesbbs[PATHLEN];
  int n;

  if ((fbbs = fopen(filefull(filesbbs,areadir,"files.bbs"),"a+t")) == NULL)
    errexit(1,filesbbs);
  fseek(fbbs,-2L,SEEK_END);
  n = getc(fbbs);
  fseek(fbbs,0L,SEEK_END);
    if( ftell( fbbs ) && ( n != 0x0A ) ) putc( '\n', fbbs );
  fprintf(fbbs,"%-12s %s%s\n",in.file,dlc,(in.desc)?in.desc:"");
  fclose(fbbs);
}


void takedesc           // take desc from files.bbs & put it into <in.desc>
    (char *areadir, char *filetotake)   // from where and for what
// <- sendfile.areamgr, hatch.filin
// -> fopen, fgets, strnicmp, strlen, isspace, isdigit, strcpy, malloc, fclose
// -> filefull.dirfile, errexit.general, word.general, LASTCHAR.general
{
    FILE *fbbs;                 // fopen()
    char filesbbs[PATHLEN],     // fullname of files.bbs
        line[CONFIGLINE],*p;    // fgets() from files.bbs and pointer to it
    int k;                      // keep strlen()
    if (!(fbbs=fopen(filefull(filesbbs,areadir,"files.bbs"),"rt")))
        errexit(1,filesbbs);
    while (fgets(line,CONFIGLINE,fbbs))
    {
        if (!strnicmp(filetotake,line,k=strlen(filetotake)) // name matches
            && isspace(line[k]))                            // and not longer
        {
            if (*(p = word(line,1)) == '[')     // eliminate DLC
            {
                do p++; while (isdigit(*p));
                p = (*p == ']') ? word(p,1) : word(line,1);
            }
            strcpy(in.desc = (char*) malloc(strlen(p)+1), p);
            LASTCHAR(in.desc) = 0;      // erase tailing \n
            break;
        }
    }
    fclose(fbbs);
}
